libnvme(2)

NAME
struct nbft_info_discovery - Discovery Descriptor

SYNOPSIS
struct nbft_info_discovery {
int index;
struct nbft_info_security *security;
struct nbft_info_hfi *hfi;
char *uri;
char *nqn;
};

Members

index
    The number of this Discovery Descriptor in the Discovery Descriptor List.

security
    The Security Profile Descriptor, see struct nbft_info_security.

hfi The HFI Descriptor associated with this Discovery Descriptor. See struct nbft_info_hfi.

uri A URI which indicates an NVMe Discovery controller associated with this Discovery Descriptor.

nqn An NVMe Discovery controller NQN.